-- GoH Event Registrations
	GoH = {}
	GoH.events = {}

	GoH.eventFrame = CreateFrame("Frame");
	GoH.eventFrame:SetScript("OnEvent", function(self, event, ...) GoH.events[event](...) end);

	-- EVERY EVENT YOU REGISTER MUST HAVE A FUNCTION
	GoH.eventFrame:RegisterEvent("ADDON_LOADED");
   	GoH.eventFrame:RegisterEvent("PLAYER_REGEN_DISABLED");
   	GoH.eventFrame:RegisterEvent("PLAYER_REGEN_ENABLED");
   	GoH.eventFrame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED");
   	

-- #######################################
-- #######################################
-- LOAD ADDON FUNCTION
-- #######################################
-- #######################################
function GoH.events.ADDON_LOADED(addon)

	if addon ~= "GoH" then
		return;
	end

end



-- #######################################
-- #######################################
-- PLAYER ENTER COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH.events.PLAYER_REGEN_DISABLED()

	-- PLAY YOUR SOUND
	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fight_Male.mp3");

end



-- #######################################
-- #######################################
-- PLAYER LEAVE COMBAT SOUNDS
-- #######################################
-- #######################################
function GoH.events.PLAYER_REGEN_ENABLED()

	-- PLAY YOUR SOUND
	PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Excellent_Male.mp3");

end


-- #######################################
-- #######################################
-- COMBAT LOG UNFILTERED
-- #######################################
-- #######################################
function GoH.events.COMBAT_LOG_EVENT_UNFILTERED(timestamp, event, hideCaster, sourceGUID, sourceName, sourceFlags, sourceFlags2, destGUID, destName, destFlags, destFlags2, ...)

  local GoH_spellID, GoH_spellName, GoH_all_spellSchool, GoH_amount, GoH_overkill, GoH_school, GoH_resisted, GoH_blocked, GoH_absorbed, GoH_critical = ...

  -- Your Character's name
  GoH_CharName = UnitName("player");

	-- DEATH KNIGHT: DEATH GRIP
	if (GoH_spellID == 49576) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Get_Over_here_male.mp3","Master");
	end

        -- DEATH KNIGHT: HORN OF WINTER
	if (GoH_spellID == 57330) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\HornOfWinter_Begins_Male.mp3","Master");
	end

        -- DEATH KNIGHT: DEATH AND DECAY
	if (GoH_spellID == 43265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH_DK\\Sounds\\StealthDetected_Sonar.mp3","Master");
	end

        -- DEATH KNIGHT: PESTILENCE
	if (GoH_spellID == 50842) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\I_See_You_Male.mp3","Master");
	end

        -- DEATH KNIGHT: OUTBREAK
	if (GoH_spellID == 77575) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Thats_Enough_Male.mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD TAP
	if (GoH_spellID == 45529) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\CThun\\CThunYouWillDie.Wav")
	end

        -- DEATH KNIGHT: DEATH COIL
	if (GoH_spellID == 47541) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Coil.mp3","Master");
	end

        -- DEATH KNIGHT: EMPOWER RUNE WEAPON
	if (GoH_spellID == 47568) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\LichKing\\IC_Lich King_FMAttack01.wav")
	end

        -- DEATH KNIGHT: BLOOD PRESENCE
	if (GoH_spellID == 48263) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Blood_Craze_Male.mp3","Master");
	end

        -- DEATH KNIGHT: FROST PRESENCE
	if (GoH_spellID == 48266) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\FreezingFog_Male.mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY PRESENCE
	if (GoH_spellID == 48265) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\HolyPower_1.mp3","Master");
	end

        -- DEATH KNIGHT: ANTI-MAGIC SHELL
	if (GoH_spellID == 48707) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Fatality_Male.mp3","Master");
	end

        -- DEATH KNIGHT: ICEBOUND FORTITUDE
	if (GoH_spellID == 48792) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Camouflage.mp3","Master");
	end

        -- DEATH KNIGHT: STRANGULATE
	if (GoH_spellID == 47476) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end

        -- DEATH KNIGHT: MIND FREEZE
	if (GoH_spellID == 47528) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end

        -- DEATH KNIGHT: SUMMON GARGOYLE
	if (GoH_spellID == 49206) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\SummonGargoyle_Male.mp3","Master");
	end

        -- DEATH KNIGHT: ARMY OF THE DEAD
	if (GoH_spellID == 42650) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\ArmyoftheDead2_Male.mp3","Master");
	end

        -- DEATH KNIGHT: DEATH PACT
	if (GoH_spellID == 48743) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Pact_Male.mp3","Master");
	end

        -- DEATH KNIGHT: DARK TRANSFORMATION
	if (GoH_spellID == 63560) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Dark_Transformation_Male.mp3","Master");
	end

        -- DEATH KNIGHT: UNHOLY FRENZY
	if (GoH_spellID == 49016) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Slaughter_Male.mp3","Master");
	end

        -- DEATH KNIGHT: BLOOD BOIL
	if (GoH_spellID == 48721) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Toasty_Male.mp3","Master");
	end

         -- DEATH KNIGHT: ANTI-MAGIC ZONE
	if (GoH_spellID == 51052) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Get_Under_Here_Male.mp3","Master");
	end

         -- DEATH KNIGHT: DARK COMMAND
	if (GoH_spellID == 56222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav")
	end

         -- DEATH KNIGHT: BONE SHIELD
	if (GoH_spellID == 49222) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\BoneShield_Begins_Male.mp3","Master");
	end
      	
        -- DEATH KNIGHT: UNHOLY BLIGHT
	if (GoH_spellID == 115989) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\ArmyoftheDead_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: CHAINS OF ICE
	if (GoH_spellID == 45524) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Laugh_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: DARK SIMULATION
	if (GoH_spellID == 77606) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\All_Too_Easy_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: ICY TOUCH
	if (GoH_spellID == 45477) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Critical_1.mp3","Master");
	end
	
	   -- DEATH KNIGHT: PATH OF FROST
	if (GoH_spellID == 3714) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Death_Coil_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: DANCEING RUNE WEPON
	if (GoH_spellID == 49028) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Laugh_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: ASPHYXIATE
	if (GoH_spellID == 108194) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\Cower_Before_Me_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: EVERY MAN FOR HIMSELF
	if (GoH_spellID == 59752) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\You_Are_Nothing_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: RAISE ALLY
	if (GoH_spellID == 61999) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\RaiseAlly_Male.mp3","Master");
	end
	
	   -- DEATH KNIGHT: RAISE ALLY: VOID TOUCHED DEBUFF
	if (GoH_spellID == 97821) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\RaiseAlly_Male.mp3","Master");
	end
	   
	    -- DEATH KNIGHT: DEATHS ADVANCE
	if (GoH_spellID == 96268) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\Illidan\\BLACK_Illidan_04.wav")
	end
	
	   -- DEATH KNIGHT: REMOURSELESS WINTER
	if (GoH_spellID == 108200) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Interface\\AddOns\\GoH\\Sounds\\FreezingFog_Male.mp3","Master");
	end
	
	   	-- DEATH KNIGHT: GORFIENDS GRASP
	if (GoH_spellID == 108199) and (event == "SPELL_CAST_SUCCESS") and (sourceName == GoH_CharName)then
		-- PLAY YOUR SOUND
		PlaySoundFile("Sound\\Creature\\HeadlessHorseMan\\Horseman_Beckon_01.wav")
	end
	
end
	     	
 




